package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.common.util.DateUtils;
import com.simuwang.base.pojo.vo.CompanyContactInfoVO;
import com.simuwang.base.pojo.vo.CompanyContactPageVO;
import lombok.Data;

import java.util.Date;

@Data
public class CompanyContactPageDO {
    private Integer id;

    private String companyId;

    private Integer contactId;

    private Date contactDate;

    private String contactor;

    private String customerManager;

    private String contactName;

    private Integer contactStatus;

    private Integer signMethod;

    private String contactRemark;

    private String contactPhone;

    private String contactWechat;

    private String contactEmail;

    private String contactPosition;

    private String fileName;

    private String filePath;

    private Integer fileId;

    private Integer creatorId;

    private Date createTime;

    private Integer updaterId;

    private Date updateTime;

    private Integer isvalid;


    public CompanyContactPageVO toVO() {
        CompanyContactPageVO vo = new CompanyContactPageVO();
        vo.setId(this.id);
        vo.setCompanyId(this.companyId);
        vo.setContactId(this.contactId);
        vo.setContactDate(DateUtils.format(this.contactDate,DateUtils.YYYY_MM_DD));
        vo.setContactRemark(this.contactRemark);
        vo.setFileId(this.fileId);
        vo.setContactPosition(this.contactPosition);
        vo.setContactEmail(this.contactEmail);
        vo.setContactWechat(this.contactWechat);
        vo.setContactPhone(this.contactPhone);
        vo.setFilePath(this.filePath);
        vo.setFileName(this.fileName);
        vo.setContactStatus(this.contactStatus);
        vo.setContactName(this.contactName);
        vo.setContactor(this.contactor);
        vo.setCustomerManager(this.customerManager);
        vo.setSignMethod(this.signMethod);
        vo.setCreatorId(this.creatorId);
        vo.setUpdaterId(this.updaterId);
        vo.setUpdateTime(DateUtils.format(this.updateTime,DateUtils.YYYY_MM_DD_HH_MM_SS));
        vo.setCreateTime(DateUtils.format(this.createTime,DateUtils.YYYY_MM_DD_HH_MM_SS));
        return vo;
    }

}