package com.simuwang.base.pojo.dto.query;


import com.simuwang.base.common.support.query.PageQuery;

/**
 * @author wangzaijun
 * @date 2024/9/13 13:38
 * @description 角色用户关联的分页接口请求参数
 */
public class ProductPageQuery extends PageQuery {
    /**
     * 基金名称
     */
    private String productName;
    /**
     * 成立开始日期
     */
    private String startInceptionDate;
    /**
     * 成立结束日期
     */
    private String endInceptionDate;
    /**
     * 母子基金标签
     */
    private String msLabel;

    /**
     * 净值报送频率
     */
    private String navFrequency;
    /**
     * 规模报送频率
     */
    private String assetFrequency;
    /**
     * 估值报送频率
     */
    private String reportFrequency;

    public String getReportFrequency() {
        return reportFrequency;
    }

    public void setReportFrequency(String reportFrequency) {
        this.reportFrequency = reportFrequency;
    }

    public String getAssetFrequency() {
        return assetFrequency;
    }

    public void setAssetFrequency(String assetFrequency) {
        this.assetFrequency = assetFrequency;
    }

    public String getNavFrequency() {
        return navFrequency;
    }

    public void setNavFrequency(String navFrequency) {
        this.navFrequency = navFrequency;
    }

    public String getMsLabel() {
        return msLabel;
    }

    public void setMsLabel(String msLabel) {
        this.msLabel = msLabel;
    }

    public String getEndInceptionDate() {
        return endInceptionDate;
    }

    public void setEndInceptionDate(String endInceptionDate) {
        this.endInceptionDate = endInceptionDate;
    }

    public String getStartInceptionDate() {
        return startInceptionDate;
    }

    public void setStartInceptionDate(String startInceptionDate) {
        this.startInceptionDate = startInceptionDate;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }
}
